DEV_GET_BY_NAME(9)

NAME
dev_get_by_name - find a device by its name

SYNOPSIS

struct net_device * dev_get_by_name (const char * name);

ARGUMENTS

name
    name to find

DESCRIPTION

Find an interface by name. This can be called from any context and does its own locking. The returned handle has the usage count incremented and the caller must use dev_put to release it when it is no longer needed. NULL is returned if no matching device is found.